@echo off
echo PMS for REGZA
echo ------------------------------------------------------
echo In case of troubles with PMS.exe, this shell will launch PMS for REGZA in a more old fashioned way
echo You can try to reduce the Xmx parameter value if you keep getting "Cannot create Java virtual machine" errors...
echo Last word: You must have java installed ! http://www.java.com :)
echo ------------------------------------------------------
rem pause

rem -------------------------------------------------------
rem Standard way
rem -------------------------------------------------------
start javaw -Xmx768M -Djava.net.preferIPv4Stack=true -Dfile.encoding=UTF-8 -classpath update.jar;pms.jar net.pms.PMS

rem -------------------------------------------------------
rem Test for free memory on gc 
rem java7 seems never give back free memory once got, to OS
rem kick params -XX:Min/MaxHeapFreeRatio have no effects for this
rem -------------------------------------------------------
rem start javaw -Xmx768M -XX:MinHeapFreeRatio=10 -XX:MaxHeapFreeRatio=30 -Djava.net.preferIPv4Stack=true -Dfile.encoding=UTF-8 -classpath update.jar;pms.jar net.pms.PMS
